CHEDIT(1)							CHEDIT(1)

Description
    Chedit - DEGAS(tm) character set editor

Usage
    chedit <font-name>

Synopsis
    Chedit allows you to modify DEGAS(tm) 8x16 bit .FNT files.
    When invoked, it presents you with a collection of windows,
    like so:

    +----------------------------------+     +-------------+
    |version window                    |     |             |
    +----------------------------------+     |charset      |
    +----------------++----------------+     |window       |
    |help window     ||edit window     |     |             |
    |                ||                |     +-------------+
    |                ||                |     +-------------+
    |                ||                |     |status window|
    |                ||                |     +-------------+
    |                ||                |     |sample window|
    +----------------++----------------+     +-------------+
    promptline

    The version window shows the name of the fontfile being
    edited; the help window lists the basic commands available;
    the edit window shows a blown-up copy of the character
    currently being edited - the hollow box is the cursor; the
    charset window shows every character in the characterset
    being edited as they currently are; the status window tells
    you the current pencolour, if any; and the sample window
    shows a row of 16 copies of the character being modified,
    so you can eyeball the character at the proper size.

Commands
    h,j,k,l - move the cursor around a'la Levee and Tsh. (the arrow
	      keys perform the same function, as do the 2,4,6 and 8
	      keys on the numeric keypad.)
    y,u,b,n - moves the cursor diagonally. (the 1, 3, 7 and 9 keys
	      on the numeric keypad perform the same function.)
    H,J,K,L - move the cursor and, if the pen is active (see the
	      description of a/d/x, below) writes the destination
	      pixel according to the pencolour.
    Y,U,B,N - moves the cursor diagonally; otherwise like H,J,K,L.
    g       - gets a character for editing.
    =       - copies a different character into the character being
	      edited.
    /       - complements the current character (all on pixels go
	      off and visa-versa.)
    {       - rolls the character up one scanline.
    }       - rolls the character down one scanline.
    <       - rolls the character one row to the left.
    >       - rolls the character one row to the right.
    a       - turns on the pixel under the cursor; sets the pen to
	      adding pixels.
    d       - turns off the pixel under the cursor; sets the pen to
	      deleting pixels.
    x       - inverts the pixel under the cursor; sets the pen to
	      inverting pixels.
    F9      - flips the current character upside down.
    F10     - flips the current character left-to-right.
    F1      - rolls the entire character set one row to the left.
    F2      - rolls the entire character set one row to the right.
    F3      - rolls the entire character set up one scanline.
    F4      - rolls the entire character set down one scanline.
    F5      - inverts the entire character set.
    F6      - flips the current character upside down.
    F7      - flips the current character left-to-right.
    Undo    - undoes all changes made to the current character since you
	      selected it.
    c       - erases the current character.
    s       - slices the current character and inserts or deletes
	      a row.
    t       - slices the current character and inserts or deletes
	      a column.
    v       - `visits' another character.  V overlays another char
	      onto the current character so you can eyeball character
	      positioning.  The pixels of the visited character are
	      represented by hollow circles - pixels that the current
	      character and the visited character have in common have
	      a ring around the pixel.
    !       - shell escape. If you've got SHELL defined in your
	      environment, attempts to execute it. SHELL must be the
	      full pathname of the shell you wish to use. ESC will
	      cancel this command.
    r       - read in a new font. If you accidently type this and don't
	      really want to read in a font, an ESC will cancel the
	      command.
    w       - write out the current font.
    q       - quits Chedit.  If you've changed the font, you will be
	      asked if you wish to discard the changes and quit.
    e       - expand a 128 character charset to 256 characters. You
	      will be asked for confirmation before Chedit does the
	      deed.

    When getting a character for editing, you may type in the character
    you wish to edit if you're want to edit a character in the lower
    128 characters; if you want to edit the upper 128 characters in a
    font, you can select them by ascii number by holding down the
    Alternate key while typing in the number (from the typewriter
    digit pad, NOT the numeric keypad.) and then hitting return.
    Alternatively, you may pick the character from the charset window
    by using the arrow or numeric keypad keys to move a cursor around
    to the desired character, and then using return to select it.

Notes
    DEGAS is a trademark of Batteries Included and/or whomever took
    them over.

    Chedit is a trademark of nobody, except for possibly the UCSD
    Pascal project.  The ST Chedit slavishly follows some of the
    UCSD Pascal Chedit features; to wit, lack of comments in
    the source.

    The sourcecode for chedit is released to the public domain.

Bugs
    Chedit only works with 8x16 format fonts, on an 640x400 monochrome
    screen.

Author
    David Parsons (Orc)
